#!/usr/bin/env python
import os
from setuptools import setup, find_packages

def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

description = "Buildout recipe, that runs the setup.py in all specified directories using custom interpreter, "\
              "e.g. the one generated by zc.buildout.egg recipe."

setup(
    name="setup-recipe",
    version='1.0.alpha2',
    entry_points={'zc.buildout': ['default = setup_recipe:Recipe']},
    url='https://bitbucket.org/mdvorak/setup-recipe',
    author='Michal Dvorak',
    author_email='mikee@mdvorak.org',
    description=description,
    long_description=read('README.txt'),
    packages=find_packages(),
    zip_safe=True,
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
    ],
)
